body {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
}

.gitbash {
    width: 30em;
    height: 30em;
    background-color: black;
    border-radius: 2em;
    padding: 4px;
    transform: rotate(45deg)
}

.gitbash-top, .gitbash-bottom {
    position: relative;
    width: 100%;
    height: 50%;
}

.gitbash-top::before, .gitbash-top::after {
    content: '';
    position: absolute;
    width: 50%;
    height: 100%;
    border: 8px solid black;
    top: 0;
}

.gitbash-top::before {
    background-color: #ff8080;
    border-radius: 2em 0 2em 0;
    left: 0;
}

.gitbash-top::after {
    background-color: #8dd35f;
    border-radius: 0 2em 0 2em;
    right: 0;
}

*::before, *::after {
    box-sizing: border-box;
}

.gitbash-bottom::before, .gitbash-bottom::after {
    content: '';
    position: absolute;
    width: 50%;
    height: 100%;
    border: 8px solid black;
    bottom: 0;
}

.gitbash-bottom::before {
    background-color: #80b3ff;
    left: 0;
    border-radius: 0 2em 0 2em;
}

.gitbash-bottom::after {
    background-color: #ffe680;
    right: 0;
    border-radius: 2em 0 2em 0;
}

.gitline.vertical {
    position: absolute;
    width: 50%;
    height: 2em;
    background-color: black;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%) rotate(45deg);
}

.gitline.angle {
    position: absolute;
    height: 2em;
    width: 65%;
    background-color: black;
    top: 8.6em;
}

.gitline.vertical::before,
.gitline.vertical::after,
.gitline.angle::before {
    content: '';
    position: absolute;
    width: 4.6em;
    height: 4.6em;
    background-color: black;
    border-radius: 50%;
    top: 50%;
}

.gitline.vertical::before,
.gitline.angle::before {
    left: 100%;
    transform: translate(-50%, -50%);
}

.gitline.vertical::after {
    right: 100%;
    transform: translate(50%, -50%);
}


